(************** Content-type: application/mathematica **************
                     CreatedBy='Mathematica 4.2'

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     39455,       1416]*)
(*NotebookOutlinePosition[     40584,       1452]*)
(*  CellTagsIndexPosition[     40540,       1448]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
  "Introducci\[OAcute]n pr\[AAcute]ctica a ",
  StyleBox["Mathematica ",
    FontSlant->"Italic"],
  "I."
}], "Title",
  TextAlignment->Left,
  TextJustification->1],

Cell["\<\

Listas.\
\>", "Subtitle",
  TextAlignment->Left,
  TextJustification->1],

Cell[TextData[{
  "Ya hemos usados las primeras listas: las matrices y vectores. En ese caso \
los elementos de las listas han sido n\[UAcute]meros, que suele ser lo m\
\[AAcute]s habitual. No obstante otras veces nos interesa definir listas \
cuyos elementos sean funciones, porque despu\[EAcute]s necesitemos relizar \
una determinada operaci\[OAcute]n con todas ellas (por ejemplo, integrarlas). \
Pero la utilidad de las listas es mayor a\[UAcute]n; por ejemplo puede \
interesarnos confeccionar una lista con dos filas, donde en la primera \
tengamos los nombres de las provincias y en la segunda su n\[UAcute]mero de \
habitantes. Es deicr que en general en las listas se van a gaurdar diferentes \
tipos de objetos. \nAs\[IAcute] pues, una lista en ",
  StyleBox["Mathematica ",
    FontSlant->"Italic"],
  "es una estructura ordenada. La noci\[OAcute]n de lista se corresponde con \
el concepto matem\[AAcute]tico de ",
  Cell[BoxData[
      \(TraditionalForm\`n\)]],
  "-upla, o de elemento de un producto cartesiano. Se trata en definitiva de \
un objeto en el que se recolectan otros de forma ordenada. La \
notaci\[OAcute]n ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " para una lista consiste en poner los objetos que la forman delimitados \
por llaves. Por ejemplo una lista puede ser la colecci\[OAcute]n ordenada de \
objetos {1,2,A}. Esta lista es sin embargo distinta de {A,1,2}. La forma de \
dar entrada a una lista puede ser entonces:"
}], "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[CellGroupData[{

Cell[BoxData[
    \({1, 2, 3}\)], "Input",
  CellLabel->"In[71]:=",
  TextAlignment->Left,
  TextJustification->1],

Cell[BoxData[
    \({1, 2, 3}\)], "Output",
  CellLabel->"Out[71]=",
  TextAlignment->Left,
  TextJustification->1]
}, Open  ]],

Cell[TextData[{
  "Una lista tal como{1,2,3} es una colecci\[OAcute]n de tres objetos en un \
cierto orden, pero para muchos efectos, la lista se puede tratar como un \
objeto \[UAcute]nico. As\[IAcute] por ejemplo podemos hacer \
aritm\[EAcute]tica sobre la lista anterior preguntando a ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " por ejemplo:"
}], "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[CellGroupData[{

Cell[BoxData[
    \({1, 2, 3}\^2\)], "Input",
  CellLabel->"In[72]:=",
  TextAlignment->Left,
  TextJustification->1],

Cell[BoxData[
    \({1, 4, 9}\)], "Output",
  CellLabel->"Out[72]=",
  TextAlignment->Left,
  TextJustification->1]
}, Open  ]],

Cell["\<\
lo que nos ha proporcionado otra lista con los cuadrados de los elementos de \
la primera situados en el lugar correspondiente. Tambi\[EAcute]n podemos \
hacer una asignaci\[OAcute]n tal como\
\>", "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[BoxData[
    \(\(a = {1, 2, 3};\)\)], "Input",
  CellLabel->"In[73]:=",
  TextAlignment->Left,
  TextJustification->1],

Cell["y despu\[EAcute]s plantear el c\[AAcute]lculo", "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[CellGroupData[{

Cell[BoxData[
    \(2\ a + 1\)], "Input",
  CellLabel->"In[74]:=",
  TextAlignment->Left,
  TextJustification->1],

Cell[BoxData[
    \({3, 5, 7}\)], "Output",
  CellLabel->"Out[74]=",
  TextAlignment->Left,
  TextJustification->1]
}, Open  ]],

Cell["\<\
donde se ha multiplicado todos los elementos de la lista por 2 y despu\
\[EAcute]s se ha sumado 1 a todos los elementos de la lista.\
\>", "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell["si ahora definimos", "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[BoxData[
    \(\(b = {1, x, 4};\)\)], "Input",
  CellLabel->"In[75]:=",
  TextAlignment->Left,
  TextJustification->1],

Cell[TextData[{
  "Podemos sumar t\[EAcute]rmino a t\[EAcute]rmino las listas ",
  Cell[BoxData[
      \(TraditionalForm\`a\)]],
  " y ",
  Cell[BoxData[
      \(TraditionalForm\`\(b\_\ \)\)]]
}], "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[CellGroupData[{

Cell[BoxData[
    \(a + b\)], "Input",
  CellLabel->"In[76]:=",
  TextAlignment->Left,
  TextJustification->1],

Cell[BoxData[
    \({2, 2 + x, 7}\)], "Output",
  CellLabel->"Out[76]=",
  TextAlignment->Left,
  TextJustification->1]
}, Open  ]],

Cell["\<\
Tambi\[EAcute]n podr\[IAcute]amos haber restado (las longitudes de las listas \
deben ser las mismas). Del mismo modo es posible multiplicar todos los \
elementos de una lista por un n\[UAcute]mero:\
\>", "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[CellGroupData[{

Cell[BoxData[
    \(3\ a\)], "Input",
  CellLabel->"In[77]:=",
  TextAlignment->Left,
  TextJustification->1],

Cell[BoxData[
    \({3, 6, 9}\)], "Output",
  CellLabel->"Out[77]=",
  TextAlignment->Left,
  TextJustification->1]
}, Open  ]],

Cell["\<\
Las listas son el tipo de objeto id\[OAcute]neo para hacer \[AAcute]lgebra \
lineal con mathematica, sin embargo volveremos sobre este tema algo \
m\[AAcute]s tarde. Otras operaciones algo m\[AAcute]s ex\[OAcute]ticas con \
listas se pueden ilustrar con este ejemplo:\
\>", "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[CellGroupData[{

Cell[BoxData[
    \(a\/b\)], "Input",
  CellLabel->"In[78]:=",
  TextAlignment->Left,
  TextJustification->1],

Cell[BoxData[
    \({1, 2\/x, 3\/4}\)], "Output",
  CellLabel->"Out[78]=",
  TextAlignment->Left,
  TextJustification->1]
}, Open  ]],

Cell[TextData[{
  "lo que nos ha proporcionado una nueva lista cuya ",
  Cell[BoxData[
      \(TraditionalForm\`i\)]],
  "-\[EAcute]sima componente es el cociente de la ",
  Cell[BoxData[
      \(TraditionalForm\`i\)]],
  "-\[EAcute]sima componente de ",
  Cell[BoxData[
      \(TraditionalForm\`a\)]],
  " entre la ",
  Cell[BoxData[
      \(TraditionalForm\`i\)]],
  "-\[EAcute]sima componente de ",
  Cell[BoxData[
      \(TraditionalForm\`b\)]],
  ". Tambi\[EAcute]n podemos hacer"
}], "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[CellGroupData[{

Cell[BoxData[
    \(Sin[a]\)], "Input",
  CellLabel->"In[79]:=",
  TextAlignment->Left,
  TextJustification->1],

Cell[BoxData[
    \({Sin[1], Sin[2], Sin[3]}\)], "Output",
  CellLabel->"Out[79]=",
  TextAlignment->Left,
  TextJustification->1]
}, Open  ]],

Cell[TextData[{
  "y en general las funciones act\[UAcute]an sobre los t\[EAcute]rminos de \
las listas en la forma obvia. Acabemos esta secci\[OAcute]n borrando el \
contenido de la variable ",
  Cell[BoxData[
      \(TraditionalForm\`a\)]],
  "  para poderla utilizar en lo sucesivo sin problema."
}], "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell["\<\
L\[OAcute]gicamente uno de los principales usos de las listas est\[AAcute] \
relacionado con el c\[AAcute]lculo vectorial y matricial. Si tenemos en \
listas las coordenadas de vectores de un espacio de dimensi\[OAcute]n n, \
podremos sumar esos vectores, sumando las listas correspondientes y podremos \
multiplicar un vector por un escalar multiplicando por dicho escalar la lista \
que contiene las coordenadas del vector. Una matriz rectangular de orden m*n \
es una lista con m elementos, que a su vez son listas que tienen todas n n\
\[UAcute]meros. As\[IAcute] \
\>", "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[BoxData[{
    \(\(a1 = {{1, 3, 5, 7}, {2, 4, 6, 8}};\)\), "\[IndentingNewLine]", 
    \(\(a2 = {{1, 1, 1, 
            1}, {\(-1\), \(-1\), \(-1\), \(-1\)}};\)\), \
"\[IndentingNewLine]", 
    \(\(a3 = {{1, 2}, {3, 4}, {5, 6}, {7, 8}};\)\)}], "Input",
  CellLabel->"In[98]:="],

Cell["\<\
a1 es una lista que tiene dos elementos que son listas de cuatro \
n\[UAcute]meros. Sirve para representar una matriz de orden 2*4; a2 es otra \
matriz 2*4, mientras que a3 es una 4*2. De tal forma que mathematica admite \
las operaciones matriciales habituales, tales como la suma de a1 con a2, el \
producto de cualquiera de ellas por a3, producto por escalares, etc, como \
mostramos a continuaci\[OAcute]n\
\>", "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[CellGroupData[{

Cell[BoxData[
    \(a1 + a2\)], "Input",
  CellLabel->"In[101]:="],

Cell[BoxData[
    \({{2, 4, 6, 8}, {1, 3, 5, 7}}\)], "Output",
  CellLabel->"Out[101]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(a1 - 3  a2\)], "Input",
  CellLabel->"In[102]:="],

Cell[BoxData[
    \({{\(-2\), 0, 2, 4}, {5, 7, 9, 11}}\)], "Output",
  CellLabel->"Out[102]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\((a1 + a2)\) . a3\)], "Input",
  CellLabel->"In[103]:="],

Cell[BoxData[
    \({{100, 120}, {84, 100}}\)], "Output",
  CellLabel->"Out[103]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(a3 . a1\)], "Input",
  CellLabel->"In[104]:="],

Cell[BoxData[
    \({{5, 11, 17, 23}, {11, 25, 39, 53}, {17, 39, 61, 83}, {23, 53, 83, 
        113}}\)], "Output",
  CellLabel->"Out[104]="]
}, Open  ]],

Cell["\<\
Observe que el producto matricial usa comos\[IAcute]mbolo el punto decimal, \
pues el * es para multiplicar elemento a elemento matrices de igual orden, \
por ejemplo\
\>", "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[CellGroupData[{

Cell[BoxData[
    \(a1*a2\)], "Input",
  CellLabel->"In[105]:="],

Cell[BoxData[
    \({{1, 3, 5, 7}, {\(-2\), \(-4\), \(-6\), \(-8\)}}\)], "Output",
  CellLabel->"Out[105]="]
}, Open  ]],

Cell[BoxData[
    \(Clear[a]\)], "Input",
  CellLabel->"In[80]:=",
  TextAlignment->Left,
  TextJustification->1],

Cell[TextData[StyleBox["Operaciones con listas.", "Subtitle"]], "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[TextData[{
  "Aunque las listas se pueden tratar como un objeto simple, muchas de las m\
\[AAcute]s interesantes operaciones de ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " requieren la captura de elementos espec\[IAcute]ficos de listas. Uno \
puede referirse a un elemento concreto de una lista  dando su \[IAcute]ndice. \
Por ejemplo"
}], "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(v = {a, 1, x, 3};\)\), "\n", 
    \(Part[v, 3]\)}], "Input",
  CellLabel->"In[81]:=",
  TextAlignment->Left,
  TextJustification->1],

Cell[BoxData[
    \(x\)], "Output",
  CellLabel->"Out[81]=",
  TextAlignment->Left,
  TextJustification->1]
}, Open  ]],

Cell[TextData[{
  "de modo que Part[lista, i] nos da la ",
  Cell[BoxData[
      \(TraditionalForm\`i\)]],
  "-\[EAcute]sima componente de ",
  Cell[BoxData[
      \(TraditionalForm\`\(v\_\ \)\)]],
  ". Tambi\[EAcute]n se obtiene el mismo resultado escribiendo ",
  Cell[BoxData[
      \(TraditionalForm\`\(\(v[\([i]\)]\)\(:\)\)\)]]
}], "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[CellGroupData[{

Cell[BoxData[
    \(v[\([3]\)]\)], "Input",
  CellLabel->"In[82]:=",
  TextAlignment->Left,
  TextJustification->1],

Cell[BoxData[
    \(x\)], "Output",
  CellLabel->"Out[82]=",
  TextAlignment->Left,
  TextJustification->1]
}, Open  ]],

Cell["\<\
En una matriz rectangular nos dar\[IAcute]a la fila correspondiente, por \
ejemplo para obtener la fila segunda de la matriz a3\
\>", "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[CellGroupData[{

Cell[BoxData[
    \(a3[\([2]\)]\)], "Input",
  CellLabel->"In[106]:="],

Cell[BoxData[
    \({3, 4}\)], "Output",
  CellLabel->"Out[106]="]
}, Open  ]],

Cell["y para obtener tercera fila del producto de a3 por a2", "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[CellGroupData[{

Cell[BoxData[
    \(\((a3 . a1)\)[\([3]\)]\)], "Input",
  CellLabel->"In[111]:="],

Cell[BoxData[
    \({17, 39, 61, 83}\)], "Output",
  CellLabel->"Out[111]="]
}, Open  ]],

Cell["Para obtener tercera columna de a1", "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Transpose[a1]\)[\([3]\)]\)], "Input",
  CellLabel->"In[113]:="],

Cell[BoxData[
    \({5, 6}\)], "Output",
  CellLabel->"Out[113]="]
}, Open  ]],

Cell["Para obtener el elemento que ocupa la posici\[OAcute]n (2,3) en a1", \
"Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[CellGroupData[{

Cell[BoxData[
    \(a1[\([2, 3]\)]\)], "Input",
  CellLabel->"In[114]:="],

Cell[BoxData[
    \(6\)], "Output",
  CellLabel->"Out[114]="]
}, Open  ]],

Cell["\<\
El comando Part[ ] sin embargo permite seleccionar varios elementos de una \
lista para formar una nueva lista:\
\>", "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[CellGroupData[{

Cell[BoxData[
    \(Part[v, {2, 3}]\)], "Input",
  CellLabel->"In[83]:=",
  TextAlignment->Left,
  TextJustification->1],

Cell[BoxData[
    \({1, x}\)], "Output",
  CellLabel->"Out[83]=",
  TextAlignment->Left,
  TextJustification->1]
}, Open  ]],

Cell[TextData[{
  "esto es, seleccionamos de la lista ",
  Cell[BoxData[
      \(TraditionalForm\`\(v\_\ \ \)\)]],
  "las componentes segunda y tercera. Esto \[UAcute]ltimo se puede conseguir \
tambi\[EAcute]n escribiendo"
}], "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[CellGroupData[{

Cell[BoxData[
    \(v[\([{2, 3}]\)]\)], "Input",
  CellLabel->"In[84]:=",
  TextAlignment->Left,
  TextJustification->1],

Cell[BoxData[
    \({1, x}\)], "Output",
  CellLabel->"Out[84]=",
  TextAlignment->Left,
  TextJustification->1]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Part[a3, {2, 3}]\)], "Input",
  CellLabel->"In[115]:="],

Cell[BoxData[
    \({{3, 4}, {5, 6}}\)], "Output",
  CellLabel->"Out[115]="]
}, Open  ]],

Cell[TextData[{
  "Adem\[AAcute]s se puede redefinir la lista utilizando alguna de las \
ordenes anteriores. Por ejemplo, supongamos que el tercer t\[EAcute]rmino de \
",
  Cell[BoxData[
      \(TraditionalForm\`\(v\_\ \ \)\)]],
  "que es ",
  Cell[BoxData[
      \(TraditionalForm\`x\)]],
  ", queremos cambiarlo por ",
  Cell[BoxData[
      \(TraditionalForm\`x\^2\)]],
  ". Podemos hacerlo sin m\[AAcute]s que escribir"
}], "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(v[\([3]\)] = x\^2;\)\), "\n", 
    \(v\)}], "Input",
  CellLabel->"In[85]:=",
  TextAlignment->Left,
  TextJustification->1],

Cell[BoxData[
    \({a, 1, x\^2, 3}\)], "Output",
  CellLabel->"Out[85]=",
  TextAlignment->Left,
  TextJustification->1]
}, Open  ]],

Cell["\<\
A continuaci\[OAcute]n una tabla con m\[AAcute]s funciones para manipular \
elementos de listas\
\>", "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[TextData[Cell[BoxData[GridBox[{
        {
          ButtonBox[\(Prepend[lista, \ elemento]\)], 
          
          ButtonBox[\(\(A\[NTilde]ade\)\(\ \)\(el\)\(\ \)\(elemento\)\(\ \
\)\(al\)\(\ \)\(principio\)\(\ \)\(de\)\(\ \)\(la\)\(\ \)\(lista\)\(\ \)\)]},
        {
          ButtonBox[\(Append[lista, \ elemento]\)], 
          
          ButtonBox[\(A\[NTilde]ade\ el\ elemento\ al\ final\ de\ la\ \
lista\)]},
        {
          ButtonBox[\(Insert[lista, \ elemento, i]\)], 
          ButtonBox[\(Inserta\ el\ elemento\ en\ la\ posici\[OAcute]n\ i\)]},
        {
          ButtonBox[\(Insert[lista, \ elemento, \(-i\)]\)], 
          ButtonBox[\(Inserta\ el\ elemento\ en\ la\ posici\[OAcute]n\ i\n
            \t\((contando\ desde\ el\ final\ de\ la\ lista)\)\)]},
        {
          ButtonBox[\(Delete[lista, i]\)], 
          
          ButtonBox[\(Borra\ el\ i - \[EAcute]simo\ t\[EAcute]rmino\ de\ la\ \
lista\)]},
        {
          ButtonBox[\(Delete[lista, {i, j,  ... }]\)], 
          ButtonBox[\(Borra\ los\ t\[EAcute]rminos\ i, j,  ... \)]},
        {
          ButtonBox[\(Length[lista]\)], 
          
          ButtonBox[\(N\[UAcute]meros\ de\ t\[EAcute]rminos\ de\ la\ \
lista\)]}
        },
      RowSpacings->0,
      ColumnSpacings->0,
      GridFrame->True,
      RowLines->True,
      ColumnLines->True,
      GridDefaultElement:>ButtonBox[ "\\[Placeholder]"]]]]], "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell["Otras operaciones con listas son:", "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[TextData[Cell[BoxData[GridBox[{
        {
          ButtonBox[\(\(Replace\)\(\ \)\(Part[lista, elemento, i]\)\(\ \)\)], 
          
          
          ButtonBox[\(Sustituye\ el\ i - \[EAcute]simo\ t\[EAcute]rmino\ de\ \
la\ lista\n
            \tpor\ el\ ' elemento'\)]}
        },
      RowSpacings->0,
      ColumnSpacings->0,
      GridFrame->True,
      RowLines->True,
      ColumnLines->True,
      GridDefaultElement:>ButtonBox[ "\\[Placeholder]"]]]]], "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[TextData[{
  "Por ejemplo si tenemos la lista ",
  Cell[BoxData[
      \(TraditionalForm\`v\)]],
  " de antes"
}], "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[CellGroupData[{

Cell[BoxData[
    \(v\)], "Input",
  CellLabel->"In[86]:=",
  TextAlignment->Left,
  TextJustification->1],

Cell[BoxData[
    \({a, 1, x\^2, 3}\)], "Output",
  CellLabel->"Out[86]=",
  TextAlignment->Left,
  TextJustification->1]
}, Open  ]],

Cell["entonces para cambiar el 1 por Sin[z] tenemos que escribir", "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[CellGroupData[{

Cell[BoxData[
    \(ReplacePart[v, Sin[z], 2]\)], "Input",
  CellLabel->"In[87]:=",
  TextAlignment->Left,
  TextJustification->1],

Cell[BoxData[
    \({a, Sin[z], x\^2, 3}\)], "Output",
  CellLabel->"Out[87]=",
  TextAlignment->Left,
  TextJustification->1]
}, Open  ]],

Cell[TextData[{
  "sin embargo hay que observar que ",
  Cell[BoxData[
      \(TraditionalForm\`\(v\_\ \ \)\)]],
  "no se ha alterado. El resultado de estos comandos no modifica la lista en \
cuesti\[OAcute]n sino que crea una nueva con las caracter\[IAcute]sticas \
especificadas."
}], "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell["Dadas dos listas podemos concatenarlas con el comando Join:", "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(v\_1 = {1, 2, 3, 4};\)\), "\n", 
    \(\(v\_2 = {3, 4, x, y};\)\), "\n", 
    \(Join[v\_1, v\_2]\)}], "Input",
  CellLabel->"In[88]:=",
  TextAlignment->Left,
  TextJustification->1],

Cell[BoxData[
    \({1, 2, 3, 4, 3, 4, x, 4}\)], "Output",
  CellLabel->"Out[88]=",
  TextAlignment->Left,
  TextJustification->1]
}, Open  ]],

Cell["\<\
Y si lo que nos interesa es perder los elementos repetidos en la concatenaci\
\[OAcute]n, podemos usar en vez de Join, el comando Union:\
\>", "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[CellGroupData[{

Cell[BoxData[
    \(Union[v\_1, v\_2]\)], "Input",
  CellLabel->"In[89]:=",
  TextAlignment->Left,
  TextJustification->1],

Cell[BoxData[
    \({1, 2, 3, 4, x}\)], "Output",
  CellLabel->"Out[89]=",
  TextAlignment->Left,
  TextJustification->1]
}, Open  ]],

Cell[TextData[{
  "Se\[NTilde]alemos que las listas son el tipo de estructura de ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " m\[AAcute]s adecuado para el tratamientos de conjuntos. Aunque la lista \
es una estructura ordenada y los conjuntos no, disponemos de suficientes \
comandos como para tratar los conjuntos como listas:"
}], "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[TextData[Cell[BoxData[GridBox[{
        {
          ButtonBox[\(Union[v\_1, v\_\(2,  .. \)]\)], "", "", 
          ButtonBox[\(Ya\ introducido\ antes\)]},
        {
          ButtonBox[\(Intersection[v\_1, v\_2,  .. ]\)], "", "", 
          ButtonBox[\(Elementos\ comunes\)]},
        {
          ButtonBox[\(Complement[v\_1, v\_2]\)], "", "", 
          
          ButtonBox[\(Elementos\ de\ v\_1\ que\ no\ est\[AAcute]n\ en\ \
v\_2\)]}
        },
      RowSpacings->0,
      ColumnSpacings->0,
      GridFrame->True,
      RowLines->True,
      ColumnLines->True,
      GridDefaultElement:>ButtonBox[ "\\[Placeholder]"]]]]], "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell["\<\
Y una \[UAcute]ltima cuesti\[OAcute]n, un m\[EAcute]todo eficaz para la \
generaci\[OAcute]n de listas es el comando 'Table'. Por ejemplo vamos a \
generar una lista con los 23 primeros m\[UAcute]ltiplos de cuatro, que la \
vamos a llamar m4\
\>", "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[CellGroupData[{

Cell[BoxData[
    \(m4 = Table[4\ i, {i, 0, 22}]\)], "Input",
  CellLabel->"In[116]:=",
  TextAlignment->Left,
  TextJustification->1],

Cell[BoxData[
    \({0, 4, 8, 12, 16, 20, 24, 28, 32, 36, 40, 44, 48, 52, 56, 60, 64, 68, 
      72, 76, 80, 84, 88}\)], "Output",
  CellLabel->"Out[116]="]
}, Open  ]],

Cell["\<\
de modo que Table[Expresi\[OAcute]n,{\[IAcute]ndice,primero,\[UAcute]ltimo}] \
genera una lista dando valores a la expresi\[OAcute]n para los valores de su \
variable \[IAcute]ndice, desde el primero hasta el \[UAcute]ltimo.\
\>", "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[CellGroupData[{

Cell[TextData[{
  "Problema ",
  
  CounterBox["Subsection"]
}], "Subsection",
  TextAlignment->Left,
  TextJustification->1],

Cell[TextData[{
  StyleBox["Constr\[UAcute]yase una lista con los 100 primeros \
n\[UAcute]meros naturales primos (indicaci\[OAcute]n: \[UAcute]sese la funci\
\[OAcute]n ",
    FontSlant->"Italic"],
  "Prime[i] ",
  StyleBox[" que devuelve el i-\[EAcute]simo primo).",
    FontSlant->"Italic"]
}], "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell["\<\
Soluci\[OAcute]n.
Basta hacer\
\>", "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[CellGroupData[{

Cell[BoxData[
    \(pri = Table[Prime[i], {i, 1, 100}]\)], "Input",
  CellLabel->"In[117]:=",
  TextAlignment->Left,
  TextJustification->1],

Cell[BoxData[
    \({2, 3, 5, 7, 11, 13, 17, 19, 23, 29, 31, 37, 41, 43, 47, 53, 59, 61, 
      67, 71, 73, 79, 83, 89, 97, 101, 103, 107, 109, 113, 127, 131, 137, 
      139, 149, 151, 157, 163, 167, 173, 179, 181, 191, 193, 197, 199, 211, 
      223, 227, 229, 233, 239, 241, 251, 257, 263, 269, 271, 277, 281, 283, 
      293, 307, 311, 313, 317, 331, 337, 347, 349, 353, 359, 367, 373, 379, 
      383, 389, 397, 401, 409, 419, 421, 431, 433, 439, 443, 449, 457, 461, 
      463, 467, 479, 487, 491, 499, 503, 509, 521, 523, 541}\)], "Output",
  CellLabel->"Out[117]="]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Problema ",
  
  CounterBox["Subsection"]
}], "Subsection",
  TextAlignment->Left,
  TextJustification->1],

Cell[TextData[{
  StyleBox["Constr\[UAcute]yase una lista con los 100 primeros \
t\[EAcute]rminos de la sucesi\[OAcute]n de t\[EAcute]rmino general ",
    FontSlant->"Italic"],
  Cell[BoxData[
      \(TraditionalForm\`a\_n = n\^2 - n + 1\)]],
  ". \[DownQuestion]Cu\[AAcute]ntos de estos son primos?"
}], "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell["\<\
Soluci\[OAcute]n.
Hagamos \
\>", "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[CellGroupData[{

Cell[BoxData[
    \(a = Table[n\^2 - n + 1, {n, 1, 100}]\)], "Input",
  CellLabel->"In[92]:=",
  TextAlignment->Left,
  TextJustification->1],

Cell[BoxData[
    \({1, 3, 7, 13, 21, 31, 43, 57, 73, 91, 111, 133, 157, 183, 211, 241, 
      273, 307, 343, 381, 421, 463, 507, 553, 601, 651, 703, 757, 813, 871, 
      931, 993, 1057, 1123, 1191, 1261, 1333, 1407, 1483, 1561, 1641, 1723, 
      1807, 1893, 1981, 2071, 2163, 2257, 2353, 2451, 2551, 2653, 2757, 2863, 
      2971, 3081, 3193, 3307, 3423, 3541, 3661, 3783, 3907, 4033, 4161, 4291, 
      4423, 4557, 4693, 4831, 4971, 5113, 5257, 5403, 5551, 5701, 5853, 6007, 
      6163, 6321, 6481, 6643, 6807, 6973, 7141, 7311, 7483, 7657, 7833, 8011, 
      8191, 8373, 8557, 8743, 8931, 9121, 9313, 9507, 9703, 9901}\)], "Output",\

  CellLabel->"Out[92]=",
  TextAlignment->Left,
  TextJustification->1]
}, Open  ]],

Cell["\<\
Calculemos ahora el primo mas cercano a 9901 y mayor o igual a este \
n\[UAcute]mero. Veamos si 9901 es primo o no:\
\>", "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[CellGroupData[{

Cell[BoxData[
    \(PrimeQ[9901]\)], "Input",
  CellLabel->"In[93]:=",
  TextAlignment->Left,
  TextJustification->1],

Cell[BoxData[
    \(True\)], "Output",
  CellLabel->"Out[93]=",
  TextAlignment->Left,
  TextJustification->1]
}, Open  ]],

Cell["\<\
Usando la funci\[OAcute]n Prime[ ], en un n\[UAcute]mero razonable de \
tentativas, comprobamos que 9901 es el primo n\[UAcute]mero 1221:\
\>", "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[CellGroupData[{

Cell[BoxData[
    \(Prime[1221]\)], "Input",
  CellLabel->"In[94]:=",
  TextAlignment->Left,
  TextJustification->1],

Cell[BoxData[
    \(9901\)], "Output",
  CellLabel->"Out[94]=",
  TextAlignment->Left,
  TextJustification->1]
}, Open  ]],

Cell["Formemos la lista de los primeros 1221 n\[UAcute]meros primos:", "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[BoxData[
    \(\(lista = Table[Prime[i], {i, 1, 1221}];\)\)], "Input",
  CellLabel->"In[95]:=",
  TextAlignment->Left,
  TextJustification->1],

Cell[TextData[{
  "(nos hemos negado a visualizarla pues es muy larga). \nAhora creamos la \
lista de los elementos primos de la lista ",
  Cell[BoxData[
      \(TraditionalForm\`a\)]],
  ". Para ello utilicemos la lista de primos ",
  StyleBox["lista", "Input"],
  ". hagamos"
}], "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[CellGroupData[{

Cell[BoxData[
    \(primos = Intersection[a, \ lista]\)], "Input",
  CellLabel->"In[96]:=",
  TextAlignment->Left,
  TextJustification->1],

Cell[BoxData[
    \({3, 7, 13, 31, 43, 73, 157, 211, 241, 307, 421, 463, 601, 757, 1123, 
      1483, 1723, 2551, 2971, 3307, 3541, 3907, 4423, 4831, 5113, 5701, 6007, 
      6163, 6481, 8011, 8191, 9901}\)], "Output",
  CellLabel->"Out[96]=",
  TextAlignment->Left,
  TextJustification->1]
}, Open  ]],

Cell["Y el n\[UAcute]mero de elementos de esta \[UAcute]ltima lista es", \
"Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[CellGroupData[{

Cell[BoxData[
    \(Length[primos]\)], "Input",
  CellLabel->"In[97]:=",
  TextAlignment->Left,
  TextJustification->1],

Cell[BoxData[
    \(32\)], "Output",
  CellLabel->"Out[97]=",
  TextAlignment->Left,
  TextJustification->1]
}, Open  ]],

Cell["que es la soluci\[OAcute]n al problema.", "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[TextData[{
  "Para acabar, nos gustar\[IAcute]a hacer un comentario puramente matem\
\[AAcute]tico sobre la soluci\[OAcute]n de este problema. No cabe duda de que \
si un polinomio ",
  Cell[BoxData[
      \(TraditionalForm\`p(x)\)]],
  " en ",
  StyleBox["Z",
    FontFamily->"MSBM10",
    FontSlant->"Italic"],
  StyleBox["[x] ",
    FontSlant->"Italic"],
  "se descompone en producto de otros dos de grado estrictamente  menor que \
",
  Cell[BoxData[
      \(TraditionalForm\`p(x)\)]],
  ", es decir, ",
  Cell[BoxData[
      \(TraditionalForm\`p(x) = \(q(x)\)\ \(r(x)\)\)]],
  ", entonces los valores de ",
  Cell[BoxData[
      \(TraditionalForm\`p(n)\)]],
  " para ",
  Cell[BoxData[
      \(TraditionalForm\`n\ \[Epsilon]\)]],
  StyleBox["Z",
    FontFamily->"MSBM10",
    FontSlant->"Italic"],
  " ,",
  StyleBox[" ",
    FontFamily->"MSBM10",
    FontSlant->"Italic"],
  "ser\[AAcute]n en general n\[UAcute]meros compuestos, con la \[UAcute]nica \
excepci\[OAcute]n de aquellos ",
  Cell[BoxData[
      \(TraditionalForm\`n\)]],
  " tales que ",
  Cell[BoxData[
      \(TraditionalForm\`q(n) = \[PlusMinus]\)]],
  "1, o ",
  Cell[BoxData[
      \(TraditionalForm\`r(n) = \(\[PlusMinus]1\)\)]],
  ". Como estas \[UAcute]ltimas igualdades s\[OAcute]lo pueden darse para  un \
n\[UAcute]mero finito de enteros ",
  Cell[BoxData[
      \(TraditionalForm\`n\)]],
  ", resulta que en el conjunto  ",
  Cell[BoxData[
      \(TraditionalForm\`S := {p(n) : n\ \[Epsilon]\)]],
  StyleBox["Z",
    FontFamily->"MSBM10",
    FontSlant->"Italic"],
  "} s\[OAcute]lo puede haber una cantidad finita de primos. Por ejemplo si \
",
  Cell[BoxData[
      \(TraditionalForm\`p(x)\)]],
  " es de cuarto grado y es reducible a un producto ",
  Cell[BoxData[
      \(TraditionalForm\`p(x) = \(\(q(x)\) \(r(x)\)\(\ \)\)\)]],
  " de dos polinomios de segundo grado, existen a lo sumo cuatro valores de \
",
  Cell[BoxData[
      \(TraditionalForm\`n\)]],
  " tales que ",
  Cell[BoxData[
      \(TraditionalForm\`q(n) = \[PlusMinus]\)]],
  "1, y posiblemente otros cuatro valores de ",
  Cell[BoxData[
      \(TraditionalForm\`n\)]],
  " tales que ",
  Cell[BoxData[
      \(TraditionalForm\`r(n) = \(\[PlusMinus]1\)\)]],
  ". Siendo esto as\[IAcute], en el conjunto ",
  Cell[BoxData[
      \(TraditionalForm\`S\)]],
  " hay a lo sumo 8 primos enteros. An\[AAcute]logo resultado se obtendr\
\[IAcute]a si  ",
  Cell[BoxData[
      \(TraditionalForm\`q(x)\)]],
  " es de tercer grado y ",
  Cell[BoxData[
      \(TraditionalForm\`\(\(r(x)\)\(\ \)\)\)]],
  "de primero. Como corolario, si en el conjunto ",
  Cell[BoxData[
      \(TraditionalForm\`S\)]],
  " encontramos m\[AAcute]s de 8 primos, el polinomio ",
  Cell[BoxData[
      \(TraditionalForm\`p(x)\)]],
  " es necesariamente irreducible. Esto puede aprovecharse como un criterio \
de irreducibilidad en ",
  StyleBox["Z",
    FontFamily->"MSBM10",
    FontSlant->"Italic"],
  StyleBox["[x]",
    FontSlant->"Italic"],
  ". As\[IAcute] por ejemplo:"
}], "Text",
  TextAlignment->Left,
  TextJustification->1]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Problema ",
  
  CounterBox["Subsection"]
}], "Subsection",
  TextAlignment->Left,
  TextJustification->1],

Cell[TextData[{
  StyleBox["\[DownQuestion]Es irreducible  en ",
    FontSlant->"Italic"],
  StyleBox["Z",
    FontFamily->"MSBM10",
    FontSlant->"Italic"],
  StyleBox["[x] el polinomio ",
    FontSlant->"Italic"],
  Cell[BoxData[
      \(TraditionalForm\`x\^4 + x + 1\)]],
  StyleBox["?",
    FontSlant->"Italic"]
}], "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell["\<\
Soluci\[OAcute]n.
Hagamos \
\>", "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(S = Table[x\^4 + x + 1, {x, 0, 24}];\)\), "\n", 
    \(\(T = Table[Prime[i], {i, 1, 28600}];\)\), "\n", 
    \(\(U = Intersection[S, T];\)\), "\n", 
    \(Length[U]\)}], "Input",
  CellLabel->"In[98]:=",
  TextAlignment->Left,
  TextJustification->1],

Cell[BoxData[
    \(9\)], "Output",
  CellLabel->"Out[98]=",
  TextAlignment->Left,
  TextJustification->1]
}, Open  ]],

Cell[TextData[{
  "lo que demuestra que en los primeros 25 valores de ",
  Cell[BoxData[
      \(TraditionalForm\`x\^4 + x + 1\)]],
  ", con ",
  Cell[BoxData[
      \(TraditionalForm\`x = 0,  .. , 24\)]],
  ", encontramos ya 9 primos. Por tanto ",
  Cell[BoxData[
      \(TraditionalForm\`x\^4 + x + 1\)]],
  " es irreducible en ",
  StyleBox["Z",
    FontFamily->"MSBM10",
    FontSlant->"Italic"],
  StyleBox["[x].",
    FontSlant->"Italic"]
}], "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[TextData[StyleBox["Delimitadores.", "Subtitle"]], "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell["\<\
En lo que llevamos de curso hemos aprendido ya el manejo de cuatro tipos de \
delimitadores. En primer lugar, si tenemos una expresi\[OAcute]n matem\
\[AAcute]tica tal como \
\>", "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[BoxData[
    \(TextForm\`\(\(\@\(\[Pi] \(\[Integral]\_0\%1\((x\^2 - 
                  3\ log \((1 + 3  x)\))\)\ dx\)\)\)\(,\)\)\)], "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[TextData[{
  "la forma de introducir esta expresi\[OAcute]n con ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " ser\[IAcute]a:"
}], "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[BoxData[{
    \(\(x =. ;\)\), "\n", 
    \(\(P = \@\(\[Pi] \(\[Integral]\_0\%1\((x\^2 - 3\ Log[1 + 3  x])\)\ \
\[DifferentialD]x\)\);\)\)}], "Input",
  CellLabel->"In[99]:=",
  TextAlignment->Left,
  TextJustification->1],

Cell[TextData[{
  "Observemos que hemos borrado previamente el contenido de ",
  Cell[BoxData[
      \(TraditionalForm\`x\)]],
  " (variable usada anteriormente) para eliminar posibles conflictos, adem\
\[AAcute]s no se produce salida por haber colocado un punto y coma despu\
\[EAcute]s de la expresi\[OAcute]n. Por otra parte, en la expresi\[OAcute]n \
anterior se usan par\[EAcute]ntesis y corchetes. Los par\[EAcute]ntesis \
obedecen a la misma l\[OAcute]gica que su uso en la notaci\[OAcute]n matem\
\[AAcute]tica habitual. El uso de los corchetes para indicar el argumento de \
una funci\[OAcute]n es ya conocido pues lo hemos introducido en secciones \
anteriores. Tenemos que ser meticulosos en este aspecto pues una expresi\
\[OAcute]n tal como"
}], "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[BoxData[
    \(\(Log \((1 + 3  x)\);\)\)], "Input",
  CellLabel->"In[100]:=",
  TextAlignment->Left,
  TextJustification->1],

Cell[TextData[{
  "no tendr\[IAcute]a para ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " el significado del logaritmo de ",
  Cell[BoxData[
      \(TraditionalForm\`1 + 3  x\)]],
  ". Aparte de los par\[EAcute]ntesis y corchetes, nos encontramos con las \
llaves como delimitadores para las listas. Esto ya lo hemos utilizado en la \
secci\[OAcute]n precedente. El cuarto tipo de delimitador al que nos \
referimos en esta secci\[OAcute]n es el de doble corchete que se usa para \
apuntar a componentes especificas de listas. La siguiente tabla resume los \
cuatro tipos de delimitadores:"
}], "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[TextData[{
  Cell[BoxData[GridBox[{
          {\((t\[EAcute]rmino)\), \(Par\[EAcute]ntesis\ para\ agrupar\ t\
\[EAcute]rminos\)},
          {\(f[x]\), \(Corchetes\ para\ argumentos\ de\ funciones\)},
          {\({a, b, c}\), \(Llaves\ para\ las\ listas\)},
          {\(v[\([i]\)]\), \(Dobles\ corchetes\ para\ componentes\ de\ listas\
\)}
          },
        GridFrame->True,
        RowLines->True,
        ColumnLines->True]]],
  "\n"
}], "Text",
  TextAlignment->Left,
  TextJustification->1]
}, Open  ]],

Cell[CellGroupData[{

Cell["Salidas del 'Kernel'", "Subtitle",
  TextAlignment->Left,
  TextJustification->1],

Cell[TextData[{
  "Hay ocasiones en que la cantidad de c\[AAcute]lculos que hemos realizado \
en una sesi\[OAcute]n con ",
  StyleBox["Mathematica ",
    FontSlant->"Italic"],
  " es de tal magnitud, que la memoria de nuestro ordenador puede flaquear. \
En general no conviene abusar del n\[UAcute]mero de c\[AAcute]lculos que se \
hacen en una sola sesi\[OAcute]n. En tales ocasiones es recomendable 'salirse \
del Kernel'. El efecto que produce esta salida es al borrado de todas las \
variables y funciones definidas hasta el momento. Sin embargo todo lo editado \
en el documento en que se haya estado trabajando permanece inalterado. En el \
caso del documento que el lector tiene ante s\[IAcute], vamos a abandonar el \
'Kernel' en este momento pues es mucho lo que nos falta a\[UAcute]n por \
hacer. La salida del 'Kernel' se hace abriendo la ventana 'Kernel'  y \
pinchando en 'Quit Kernel'. Entonces se despliega la opci\[OAcute]n 'Local' \
en la debemos hacer 'click', y finalmente en 'Quit'. A partir de este momento \
podemos seguir trabajando con ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " con la seguridad de que las variables y funciones no ser\[AAcute]n ya \
recordadas por el programa. Tambi\[EAcute]n observaremos como la numeraci\
\[OAcute]n de entradas se inicializa a 1."
}], "Text",
  TextAlignment->Left,
  TextJustification->1]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Notebooks de ",
  StyleBox["Mathematica",
    FontSlant->"Italic"]
}], "Subtitle",
  TextAlignment->Left,
  TextJustification->1],

Cell[TextData[{
  "Los 'notebooks' son documentos interactivos de extensi\[OAcute]n .nb que \
consisten en un serie de 'celdas' organizadas jer\[AAcute]rquicamente. Cada \
vez que se abre ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " y se utiliza para cualquier c\[AAcute]lculo, se abre por defecto un \
notebook de nombre 'Untitled-1' (si se abren nuevos documentos obtendremos \
'Untitled-2', etc). Este documento conteniendo que contiene la cuarta entrega \
del curso de ",
  StyleBox["Mathematica ",
    FontSlant->"Italic"],
  " es originariamente un 'notebook'. Cuando se guarda el notebook generado \
por haber abieto ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " par efectual un trabajo, en File se baja hasta \"guardar como\" (= save \
as) y se puede dar el nombre deseado y guardarlo en la carpeta que se quiera. \
As\[IAcute] pues los 'notebooks' son los documentos t\[IAcute]picos de ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " y sus ladrillos b\[AAcute]sicos son las 'celdas' ('cell' en la car\
\[AAcute]tula del programa). Cada celda contiene diversos tipos de \
materiales: texto, gr\[AAcute]ficos, entrada de datos de ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  ", salida de datos, y otros. Las sucesiones de celdas de un 'notebook' est\
\[AAcute]n agrupadas de modo que puedan representar material con \
alg\[UAcute]n denominador com\[UAcute]n. Un grupo de celdas por ejemplo podr\
\[IAcute]a corresponder al contenido de un secci\[OAcute]n dentro de un cap\
\[IAcute]tulo del documento general. La extensi\[OAcute]n de una celda en un \
'notebook' viene indicada por una especie de corchete a la derecha de la \
pantalla. Cuando se tiene un grupo de celdas, otro corchete muestra la \
extensi\[OAcute]n del grupo. Mirando los corchetes, se puede ver como est\
\[AAcute] organizado un 'notebook' concreto.\n"
}], "Text",
  TextAlignment->Left,
  TextJustification->1]
}, Open  ]]
}, Open  ]]
},
FrontEndVersion->"4.2 for Microsoft Windows",
ScreenRectangle->{{0, 800}, {0, 517}},
WindowToolbars->{"RulerBar", "EditBar"},
WindowSize->{741, 483},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
PrintingCopies->1,
PrintingPageRange->{Automatic, Automatic},
PageHeaders->{{Cell[ 
        TextData[ {
          CounterBox[ "Page"]}], "PageNumber"], Inherited, 
      "Primera entrega"}, {"Curso de Mathematica", Inherited, Cell[ 
        TextData[ {
          CounterBox[ "Page"]}], "PageNumber"]}},
PrintingOptions->{"FirstPageHeader"->False,
"FacingPages"->True},
ShowSelection->True,
Magnification->1.25,
StyleDefinitions -> "Textbook.nb"
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1776, 53, 181, 7, 145, "Title"],
Cell[1960, 62, 83, 5, 79, "Subtitle"],
Cell[2046, 69, 1528, 28, 227, "Text"],

Cell[CellGroupData[{
Cell[3599, 101, 114, 4, 35, "Input"],
Cell[3716, 107, 115, 4, 28, "Output"]
}, Open  ]],
Cell[3846, 114, 419, 10, 67, "Text"],

Cell[CellGroupData[{
Cell[4290, 128, 117, 4, 36, "Input"],
Cell[4410, 134, 115, 4, 28, "Output"]
}, Open  ]],
Cell[4540, 141, 262, 6, 48, "Text"],
Cell[4805, 149, 123, 4, 35, "Input"],
Cell[4931, 155, 108, 2, 29, "Text"],

Cell[CellGroupData[{
Cell[5064, 161, 113, 4, 35, "Input"],
Cell[5180, 167, 115, 4, 28, "Output"]
}, Open  ]],
Cell[5310, 174, 203, 5, 48, "Text"],
Cell[5516, 181, 81, 2, 29, "Text"],
Cell[5600, 185, 123, 4, 35, "Input"],
Cell[5726, 191, 251, 9, 29, "Text"],

Cell[CellGroupData[{
Cell[6002, 204, 110, 4, 35, "Input"],
Cell[6115, 210, 119, 4, 28, "Output"]
}, Open  ]],
Cell[6249, 217, 269, 6, 48, "Text"],

Cell[CellGroupData[{
Cell[6543, 227, 109, 4, 35, "Input"],
Cell[6655, 233, 115, 4, 28, "Output"]
}, Open  ]],
Cell[6785, 240, 338, 7, 48, "Text"],

Cell[CellGroupData[{
Cell[7148, 251, 109, 4, 46, "Input"],
Cell[7260, 257, 121, 4, 42, "Output"]
}, Open  ]],
Cell[7396, 264, 544, 19, 48, "Text"],

Cell[CellGroupData[{
Cell[7965, 287, 111, 4, 35, "Input"],
Cell[8079, 293, 130, 4, 28, "Output"]
}, Open  ]],
Cell[8224, 300, 358, 9, 48, "Text"],
Cell[8585, 311, 639, 11, 105, "Text"],
Cell[9227, 324, 281, 6, 77, "Input"],
Cell[9511, 332, 480, 9, 86, "Text"],

Cell[CellGroupData[{
Cell[10016, 345, 66, 2, 35, "Input"],
Cell[10085, 349, 88, 2, 28, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[10210, 356, 69, 2, 35, "Input"],
Cell[10282, 360, 94, 2, 28, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[10413, 367, 77, 2, 35, "Input"],
Cell[10493, 371, 83, 2, 28, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[10613, 378, 66, 2, 35, "Input"],
Cell[10682, 382, 141, 3, 28, "Output"]
}, Open  ]],
Cell[10838, 388, 237, 6, 48, "Text"],

Cell[CellGroupData[{
Cell[11100, 398, 64, 2, 35, "Input"],
Cell[11167, 402, 108, 2, 28, "Output"]
}, Open  ]],
Cell[11290, 407, 113, 4, 35, "Input"],
Cell[11406, 413, 118, 2, 47, "Text"],
Cell[11527, 417, 414, 10, 67, "Text"],

Cell[CellGroupData[{
Cell[11966, 431, 155, 5, 56, "Input"],
Cell[12124, 438, 107, 4, 28, "Output"]
}, Open  ]],
Cell[12246, 445, 391, 12, 46, "Text"],

Cell[CellGroupData[{
Cell[12662, 461, 115, 4, 35, "Input"],
Cell[12780, 467, 107, 4, 28, "Output"]
}, Open  ]],
Cell[12902, 474, 198, 5, 29, "Text"],

Cell[CellGroupData[{
Cell[13125, 483, 70, 2, 35, "Input"],
Cell[13198, 487, 66, 2, 28, "Output"]
}, Open  ]],
Cell[13279, 492, 116, 2, 29, "Text"],

Cell[CellGroupData[{
Cell[13420, 498, 81, 2, 35, "Input"],
Cell[13504, 502, 76, 2, 28, "Output"]
}, Open  ]],
Cell[13595, 507, 97, 2, 29, "Text"],

Cell[CellGroupData[{
Cell[13717, 513, 85, 2, 35, "Input"],
Cell[13805, 517, 66, 2, 28, "Output"]
}, Open  ]],
Cell[13886, 522, 131, 3, 29, "Text"],

Cell[CellGroupData[{
Cell[14042, 529, 73, 2, 35, "Input"],
Cell[14118, 533, 61, 2, 28, "Output"]
}, Open  ]],
Cell[14194, 538, 182, 5, 29, "Text"],

Cell[CellGroupData[{
Cell[14401, 547, 120, 4, 35, "Input"],
Cell[14524, 553, 112, 4, 28, "Output"]
}, Open  ]],
Cell[14651, 560, 281, 8, 48, "Text"],

Cell[CellGroupData[{
Cell[14957, 572, 120, 4, 35, "Input"],
Cell[15080, 578, 112, 4, 28, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[15229, 587, 75, 2, 35, "Input"],
Cell[15307, 591, 76, 2, 28, "Output"]
}, Open  ]],
Cell[15398, 596, 481, 15, 48, "Text"],

Cell[CellGroupData[{
Cell[15904, 615, 147, 5, 57, "Input"],
Cell[16054, 622, 121, 4, 28, "Output"]
}, Open  ]],
Cell[16190, 629, 166, 5, 29, "Text"],
Cell[16359, 636, 1455, 39, 197, "Text"],
Cell[17817, 677, 96, 2, 29, "Text"],
Cell[17916, 681, 521, 16, 65, "Text"],
Cell[18440, 699, 174, 7, 29, "Text"],

Cell[CellGroupData[{
Cell[18639, 710, 106, 4, 35, "Input"],
Cell[18748, 716, 121, 4, 28, "Output"]
}, Open  ]],
Cell[18884, 723, 121, 2, 29, "Text"],

Cell[CellGroupData[{
Cell[19030, 729, 130, 4, 35, "Input"],
Cell[19163, 735, 126, 4, 28, "Output"]
}, Open  ]],
Cell[19304, 742, 341, 9, 48, "Text"],
Cell[19648, 753, 122, 2, 29, "Text"],

Cell[CellGroupData[{
Cell[19795, 759, 205, 6, 77, "Input"],
Cell[20003, 767, 130, 4, 28, "Output"]
}, Open  ]],
Cell[20148, 774, 207, 5, 48, "Text"],

Cell[CellGroupData[{
Cell[20380, 783, 122, 4, 35, "Input"],
Cell[20505, 789, 121, 4, 28, "Output"]
}, Open  ]],
Cell[20641, 796, 401, 9, 67, "Text"],
Cell[21045, 807, 686, 20, 85, "Text"],
Cell[21734, 829, 312, 7, 48, "Text"],

Cell[CellGroupData[{
Cell[22071, 840, 134, 4, 35, "Input"],
Cell[22208, 846, 156, 3, 49, "Output"]
}, Open  ]],
Cell[22379, 852, 295, 6, 48, "Text"],

Cell[CellGroupData[{
Cell[22699, 862, 125, 6, 55, "Subsection"],
Cell[22827, 870, 352, 10, 48, "Text"],
Cell[23182, 882, 100, 5, 56, "Text"],

Cell[CellGroupData[{
Cell[23307, 891, 140, 4, 35, "Input"],
Cell[23450, 897, 573, 8, 154, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[24072, 911, 125, 6, 55, "Subsection"],
Cell[24200, 919, 359, 9, 48, "Text"],
Cell[24562, 930, 97, 5, 56, "Text"],

Cell[CellGroupData[{
Cell[24684, 939, 141, 4, 36, "Input"],
Cell[24828, 945, 712, 12, 196, "Output"]
}, Open  ]],
Cell[25555, 960, 186, 5, 29, "Text"],

Cell[CellGroupData[{
Cell[25766, 969, 117, 4, 35, "Input"],
Cell[25886, 975, 110, 4, 28, "Output"]
}, Open  ]],
Cell[26011, 982, 208, 5, 29, "Text"],

Cell[CellGroupData[{
Cell[26244, 991, 116, 4, 35, "Input"],
Cell[26363, 997, 110, 4, 28, "Output"]
}, Open  ]],
Cell[26488, 1004, 125, 2, 29, "Text"],
Cell[26616, 1008, 147, 4, 35, "Input"],
Cell[26766, 1014, 336, 10, 59, "Text"],

Cell[CellGroupData[{
Cell[27127, 1028, 138, 4, 35, "Input"],
Cell[27268, 1034, 290, 6, 70, "Output"]
}, Open  ]],
Cell[27573, 1043, 129, 3, 29, "Text"],

Cell[CellGroupData[{
Cell[27727, 1050, 119, 4, 35, "Input"],
Cell[27849, 1056, 108, 4, 28, "Output"]
}, Open  ]],
Cell[27972, 1063, 102, 2, 29, "Text"],
Cell[28077, 1067, 3058, 98, 231, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[31172, 1170, 125, 6, 55, "Subsection"],
Cell[31300, 1178, 375, 14, 32, "Text"],
Cell[31678, 1194, 97, 5, 56, "Text"],

Cell[CellGroupData[{
Cell[31800, 1203, 273, 7, 99, "Input"],
Cell[32076, 1212, 107, 4, 28, "Output"]
}, Open  ]],
Cell[32198, 1219, 503, 18, 51, "Text"],
Cell[32704, 1239, 109, 2, 47, "Text"],
Cell[32816, 1243, 244, 6, 48, "Text"],
Cell[33063, 1251, 192, 4, 39, "Text"],
Cell[33258, 1257, 202, 7, 29, "Text"],
Cell[33463, 1266, 226, 6, 66, "Input"],
Cell[33692, 1274, 813, 15, 124, "Text"],
Cell[34508, 1291, 129, 4, 35, "Input"],
Cell[34640, 1297, 661, 15, 86, "Text"],
Cell[35304, 1314, 503, 15, 118, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[35844, 1334, 87, 2, 42, "Subtitle"],
Cell[35934, 1338, 1367, 24, 200, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[37338, 1367, 148, 6, 42, "Subtitle"],
Cell[37489, 1375, 1938, 37, 284, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

